Zydis v4.1.1

Loading...
Searching...
No Matches
Defines.h File Reference

Import/export defines for MSVC builds. More...

`#include <Zycore/Defines.h>`

Go to the source code of this file.

## Macros
#define | ZYDIS_EXPORT ZYAN_DLLIMPORT
| Symbol is exported in shared library builds.
#define | ZYDIS_NO_EXPORT
| Symbol is not exported and for internal use only.

## Detailed Description

Import/export defines for MSVC builds.

## Macro Definition Documentation

## ◆ ZYDIS_EXPORT

#define ZYDIS_EXPORT ZYAN_DLLIMPORT

Symbol is exported in shared library builds.

## ◆ ZYDIS_NO_EXPORT

#define ZYDIS_NO_EXPORT

Symbol is not exported and for internal use only.